## com.thingmagic
Class Gen2.SecureReadData

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.ReadData
              com.thingmagic.Gen2.SecureReadData

Enclosing class:
  Gen2

    public static class Gen2.SecureReadData

extends Gen2.ReadData

Field Summary

Fields inherited from class com.thingmagic.Gen2.ReadData
`Bank, banks, Len, WordAddress`

Constructor Summary
`Gen2.SecureReadData(Gen2.Bank bank, int wordAddress, byte length, Gen2.SecureTagType type, TagAuthentication password)` Constructor to initialize the parameter of Read Data

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gen2.SecureReadData

    public Gen2.SecureReadData(Gen2.Bank bank,
                               int wordAddress,
                               byte length,
                               Gen2.SecureTagType type,
                               TagAuthentication password)

  Constructor to initialize the parameter of Read Data

  Parameters:
    `bank` - Memory Bank to read
    `wordAddress` - read starting address
    `length` - the length of data to read
    `type` - the type of the tag password the password given by user.